Subject: Re: G9x under IRIX 6.5 ?

From: "Dale A. Braden" <[email-masked]>
Date: Sun, 14 Mar 1999 14:37:52 -0800 (PST)

Dear Steven,

When we upgraded to IRIX 6.5.1 on our R8000 PowerChallenge, G94 continued
to work, having been compiled under IRIX 6.3.  But when we upgraded to
IRIX 6.5.2, the multiprocessing capability of G94 quit.  I then recompiled
the program under 6.5.2 on both R8000 and R10000 machines, and it compiled
without any problem using the default makefiles, but it still crashed
whenever more than one cpu was requested.  Then I saw a posting on the CCL
that this problem is due to a bug in the MP libraries which is
incompatible with IRIX 6.5.2, and that the temporary fix is to set an
environment variable as follows: 

setenv MP_STACK_OVERFLOW OFF

This did indeed allow us to use multiple cpus again, but the results of
frequency calculations became garbage unless only 1 cpu was used.

So if you're only using 1 cpu, then G94 should compile and run fine under
IRIX 6.5.x.  Otherwise, I don't know what to do.  If it really is an
incompatibility between IRIX and the MP libraries, then it presumably
affects Gaussian98 as well.  Can anyone attest to this?

Best wishes,

Dale

Dale Braden
Department of Chemistry
University of Oregon
Eugene, OR 97403-1253
[email-masked]
On Thu, 11 Mar 1999 [email-masked] wrote:

> 
> 
> Hi,
> 
> 1) Is Gaussian9x (94 in particular) available under irix 6.5?
> 2) If not, has anyone ever tried to compile it under irix 6.5?
> 
> I would just like to know these things before spending days and nights
> recompiling the program...
> 
> thanks in advance,
> Steven
> 
> ------------------------------------------------------
> Steven Creve
> DSM Research
> P.O. Box 18
> NL 6160 MD Geleen, The Netherlands
> phone: ++31 46 47 61297
> E-mail: [email-masked]
> ----------------------------------------------
> 
> 
> 
> ---
> Administrivia: This message is automatically appended by the mail exploder:
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
> ---
>